<?php
# Copyright (C) 2004 Tuatha de Dana

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

function get_variables ()
{
   ob_start();
   require('db.inc');
   $str = ob_get_contents();
   ob_end_clean();
}

function drop_down_menu ($entry, $sqlhost, $sqluser, $sqlpass, $database, $table) 
{
   $db = mysql_connect($sqlhost,$sqluser,$sqlpass);
   @mysql_select_db($database,$db) or die(mysql_errno());
   $sql="SELECT DISTINCT $entry FROM $table";
   $result = mysql_query($sql, $db) or die(mysql_error());

   print "<OPTION VALUE=\"%\" SELECTED>---Nothing selected---</OPTION>\n";
   while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
      foreach ($row as $col_value) {
         print "<OPTION>$col_value</OPTION>\n";
      } 
   } 
   print "</SELECT></TD>\n";
   mysql_free_result($result);
   mysql_close($db);
}

function create_text_field($text, $name, $comment, $size, $length)
{
   print "<TR>\n";
   print "<TD WIDTH=\"40%\">$text:</TD>\n";
   print "<TD WIDTH=\"20%\"><INPUT TYPE=\"text\" NAME=\"$name\" SIZE=\"$size\" MAXLENGTH=\"$length\"></TD>\n";
   print "<TD WIDTH=\"40%\">$comment</TD>\n";
   print "</TR>\n";
}

function create_fieldset($header)
{
print "<FIELDSET STYLE=\"width: 600px;\">\n";
print "<LEGEND STYLE=\"color: blue; font-weight: bold; width: 400px\">$header</LEGEND>\n";
print "<TABLE CELLSPACING=\"2\" CELLPADDING=\"2\" BORDER=\"0\" WIDTH=\"100%\">\n";
print "<TR>\n";
}

get_variables();

print "<HTML>\n";
print "<TITLE>$header_common - $header_title</TITLE>\n";
print "<HEAD>\n";
print "<STYLE TYPE=\"text/css\">\n";
print "<!--\n";
print "IMG { float:left; margin-right: 50px; }\n";
print "-->\n";
print "</STYLE>\n";
print "</HEAD>\n";
print "<BODY>\n";
print "<FORM METHOD=\"post\" ACTION=\"$post_action\">\n";

include_once 'functions.inc';
make_header();
print "<BR>\n";

# Start first fieldset
print "<IMG SRC=pics/rp5400_detail.jpg WIDTH=\"150\" HEIGHT=\"100\">\n";
$header="$header_common - $header_title";
create_fieldset($header);

# Generate hosts drop down menu
print "<TD WIDTH=\"40%\">Show logs from server:</TD>\n";
print "<TD WIDTH=\"20%\"><SELECT NAME=\"req_host\" STYLE=\"width: 150px;\">\n";
drop_down_menu (host, $sqlhost, $sqluser, $sqlpass, $database, $table);
print "<TD WIDTH=\"40%\"></TD>\n";
print "</TR>\n";

# Generate facility drop down menu
print "<TD>Select facility level:</TD>\n";
print "<TD><SELECT NAME=\"req_facility\" STYLE=\"width: 150px;\">\n";
drop_down_menu (facility, $sqlhost, $sqluser, $sqlpass, $database, $table);
print "</TR>\n";

# Generate Priority drop down menu
print "<TD>Select priority level:</TD>\n";
print "<TD><SELECT NAME=\"req_priority\" STYLE=\"width: 150px;\">\n";
drop_down_menu (priority, $sqlhost, $sqluser, $sqlpass, $database, $table);
print "</TR>\n";

# Generate Program drop down menu
print "<TD>Select program:</TD>\n";
print "<TD><SELECT NAME=\"req_program\" STYLE=\"width: 150px;\">\n";
drop_down_menu (program, $sqlhost, $sqluser, $sqlpass, $database, $table);
print "</TR>\n";

print "<TR>\n";
print "<TD>Show results from:</TD>\n";
print "<TD><SELECT NAME=\"req_date\" STYLE=\"width: 150px;\">\n";
print "<OPTION VALUE=\"0\">---Nothing selected---</OPTION>\n";
print "<OPTION VALUE=\"TODAY\" SELECTED>today</OPTION>\n";
print "<OPTION VALUE=\"1 DAY\">yesterday</OPTION>\n";
print "<OPTION VALUE=\"7 DAY\">1 week ago</OPTION>\n";
print "<OPTION VALUE=\"14 DAY\">2 weeks ago</OPTION>\n";
print "<OPTION VALUE=\"30 DAY\">4 weeks ago</OPTION>\n";
print "<OPTION VALUE=\"1 YEAR\">1 year ago</OPTION>\n";
print "</SELECT></TD>\n";
print "</TR>\n";

print "<TR>\n";
print "<TD>Sort results:</TD>\n";
print "<TD><SELECT NAME=\"req_sort\" STYLE=\"width: 150px;\">\n";
print "<OPTION VALUE=\"DESC\" SELECTED>descending</OPTION>\n";
print "<OPTION VALUE=\"ASC\">ascending</OPTION>\n";
print "</SELECT></TD>\n";
print "</TR>\n";

print "<TR>\n";
print "<TD WIDTH=\"40%\">Limit number of results to:</TD>\n";
print "<TD WIDTH=\"20%\"><SELECT NAME=\"req_results\">\n";
print "<OPTION >10</OPTION>\n";
print "<OPTION >20</OPTION>\n";
print "<OPTION >30</OPTION>\n";
print "<OPTION >50</OPTION>\n";
print "<OPTION >100</OPTION>\n";
print "<OPTION VALUE=\"0\" SELECTED>No Limit</OPTION>\n";
print "<TD WIDTH=\"40%\"></TD>\n";
print "</SELECT></TD>\n";
print "</TR>\n";

print "</TABLE>\n";
print "</FIELDSET>\n";

# Second fieldset
print "<IMG SRC=pics/rp2400_detail.jpg WIDTH=\"150\" HEIGHT=\"100\">\n";
$header = "$header_common - Custom queries";
create_fieldset($header);

print "<TD WIDTH=\"100%\">Please use in combination with the appropriate fields in the set above to finetune the results.</TD>\n";
print "</TR>\n";
print "</TABLE>\n";
print "<BR>\n";

print "<TABLE CELLSPACING=\"2\" CELLPADDING=\"2\" BORDER=\"0\" WIDTH=\"100%\">\n";
create_text_field ("Show logs for this date", "req_cust_date", "Syntax: YYYY-MM-DD", "20", "10");
create_text_field ("Search text field for value", "req_cust_text", "Case insensitive, max 20 chars", "20", "20");
create_text_field ("Exclude value from results", "req_cust_excl", "Case insensitive, max 20 chars", "20", "20");

print "<TABLE CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\" WIDTH=\"100%\">\n";
print "<TD WIDTH=\"40%\"><INPUT TYPE=\"radio\" NAME=\"req_options\" VALUE=\"exact_phrase\" CHECKED>With the <B>exact phrase</B></TD>\n";
print "<TD WIDTH=\"40%\"><INPUT TYPE=\"radio\" NAME=\"req_options\" VALUE=\"any_words\">With <B>at least one </B>of these words</TD>\n";
print "</TR>\n";
print "</TABLE>\n";
print "</FIELDSET>\n";

# Third fieldset
print "<IMG SRC=pics/dl360g3_photo.gif WIDTH=\"150\" HEIGHT=\"100\">";
create_fieldset("Accept values or reset to default");

print "<TD WIDTH=\"40%\"><CENTER><INPUT TYPE=\"submit\" VALUE=\"Get results\">\n";
print "<INPUT TYPE=\"reset\" VALUE=\"Reset\"></CENTER></TD>\n";
print "</TR>\n";
print "</TABLE>\n";

print "</FORM>\n";
print "</BODY>\n";
print "</HTML>\n";
?>
