#!/bin/bash
#
# Copyright (C) 2004 Tuatha de Dana

# This program is part of PHPloghost

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Change these variables
DATABASE=""
SERVER=""
USER=""
PASSWORD=`cat /etc/syslog-ng/sqlsyslogd.conf`
MYSQL_BIN=/usr/bin/mysql
LOGFILE=/var/log/mysql.log
LOGLOCATION=/var/log/loghost/dblog

for infile in `ls $LOGLOCATION/*fulllog*`; do
   $MYSQL_BIN -D $DATABASE -h $SERVER -u$USER -p$PASSWORD < $infile
   if [[ "$?" = "0" ]]; then
      rm $infile
   else
      # Error has occured. Leave the file
      echo "Please check file $LOGLOCATION/$infile" 
   fi
done
